<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateQuestionValidationsTable extends Migration
{
    public function up(): void
    {
        Schema::create('question_validations', function (Blueprint $table): void {
            $table->increments('id');
            $table->unsignedInteger('question_id');
            $table->foreign('question_id')->references('id')->on('questions')->onDelete('cascade');
            $table->string('rule');
            $table->string('message');

            $table->timestamps();
        });
    }
}
