<?php

namespace EventPortal\Domain\Comment\Models;

use EventPortal\Domain\Model;
use Illuminate\Database\Eloquent\Relations\MorphTo;

class Comment extends Model
{
    public const KEY = 'comment';

    /** @var array<string> */
    protected $fillable = [
        'admin_id',
        'comment',
        'reason',
    ];

    protected $casts = [
        'reason' => 'array',
    ];

    public $incrementing = true;

    public function commentable(): MorphTo
    {
        return $this->morphTo();
    }
}
