<?php

use EventPortal\Domain\Util\Sidebar\Facades\Sidebar;
use EventPortal\Domain\Util\Sidebar\Link;

Sidebar::make('compliance')
    ->addLinks(function () {
        return [
            Link::make('Events')
                ->icon('calendar')
                ->addChildren([
                    Link::make('View events')
                        ->route('admin.event.awaiting-compliance-approval')
                        ->permission('event.approval'),
                ]),
        ];
    });
